summaryrefslogtreecommitdiff
path: root/debian/patches/35_install.dpatch
diff options
context:
space:
mode:
Diffstat (limited to 'debian/patches/35_install.dpatch')
-rwxr-xr-xdebian/patches/35_install.dpatch37
1 files changed, 37 insertions, 0 deletions
diff --git a/debian/patches/35_install.dpatch b/debian/patches/35_install.dpatch
new file mode 100755
index 0000000..161861b
--- /dev/null
+++ b/debian/patches/35_install.dpatch
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 35_install.dpatch by Andreas Metzler
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Exim's installation scripts install the binary as exim-<version>
+## DP: - disable this feature.
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch) patch -f --no-backup-if-mismatch -p1 < $0;;
+ -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad 30.tmp/scripts/exim_install 30/scripts/exim_install
+--- 30.tmp/scripts/exim_install Mon Dec 30 10:19:59 2002
++++ 30/scripts/exim_install Mon Dec 30 10:20:21 2002
+@@ -172,8 +172,9 @@
+ # The exim binary is handled specially
+
+ if [ $name = exim${EXE} ]; then
+- version=exim-`./exim -bV -C /dev/null | \
+- awk '/Exim version/ { OFS=""; print $3,"-",substr($4,2,length($4)-1) }'`${EXE}
++ version=exim
++# version=exim-`./exim -bV -C /dev/null | \
++# awk '/Exim version/ { OFS=""; print $3,"-",substr($4,2,length($4)-1) }'`${EXE}
+
+ # Do something only if newer than existing file, or no existing file
+